Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002809Piwigoalbumspublic2012.12.20 14:062014.08.20 11:24
ReporterTadjio 
Assigned Toplg 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.5.0beta3 
Target Version2.7.0RC1Fixed in Version2.7.0RC1 
Summary0002809: [albums] Sort by Date
DescriptionCould we sort Albums by Album Date?

Album Date would be defined as the minimum (and then maximum) Date for the Photos in the Album.

This would be a very useful option in Albums / Manage / Apply automatic sort order.
TagsNo tags attached.
browserany
Database engine and version
PHP version
Web serverApache 1.3.x
Attached Files

- Relationships
related to 0003195assignedplg album sort by date, make obvious we use photo dates 

-  Notes
(0007065)
plg (manager)
2013.06.22 22:15

http://piwigo.org/forum/viewtopic.php?id=22294 [^]
(0007083)
Tadjio (reporter)
2013.07.02 00:48

You say in the above topic:
"I consider the album date as equivalent to the album id"

I presume this method was only temporary and that you will be able to sort albums by the Minimum Photo Date Taken?
(0007114)
deanmoses (reporter)
2013.09.12 17:42

For my scenario, I won't be able to use Minimum Photo Date Taken. I need an actual date field that I can set manually.

The reason is that my albums are like blog posts: the date is the date I publish them, not the date of any one specific photo. Maximum Photo Date Taken would be closer to what I need, but even then it's not always the same.

Here's my site, so you can see what I'm talking about:
http://tacocat.com/pictures/v/2013/ [^]
(0007506)
svn (reporter)
2014.07.03 15:18

[Subversion] r28934 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2809: sort albums by date
(0007507)
plg (manager)
2014.07.03 15:19

Tadjio, you can test on your beta-test Piwigo 2.7

- Issue History
Date Modified Username Field Change
2012.12.20 14:06 Tadjio New Issue
2012.12.20 14:06 Tadjio browser => any
2012.12.20 14:06 Tadjio Web server => Apache 1.3.x
2013.06.22 09:41 plg Assigned To => plg
2013.06.22 09:41 plg Status new => assigned
2013.06.22 09:41 plg Target Version => 2.6.0beta1
2013.06.22 09:42 plg Target Version 2.6.0beta1 => 2.6.0beta2
2013.06.22 22:15 plg Note Added: 0007065
2013.07.02 00:48 Tadjio Note Added: 0007083
2013.09.12 17:42 deanmoses Note Added: 0007114
2013.11.01 14:01 plg Target Version 2.6.0beta2 => 2.6.0RC1
2013.11.19 23:40 plg Target Version 2.6.0RC1 => 2.6.0RC2
2013.12.12 11:51 plg Target Version 2.6.0RC2 => 2.7.0beta1
2014.07.03 15:18 svn Checkin
2014.07.03 15:18 svn Note Added: 0007506
2014.07.03 15:19 plg Note Added: 0007507
2014.08.20 11:24 plg Status assigned => closed
2014.08.20 11:24 plg Resolution open => fixed
2014.08.20 11:24 plg Fixed in Version => 2.7.0beta3
2014.08.20 11:24 plg Target Version 2.7.0beta1 => 2.7.0beta3
2015.02.02 10:25 plg Relationship added related to 0003195


Copyright © 2000 - 2017 MantisBT Team
Contact
Powered by Mantis Bugtracker